ALTER TABLE Author ADD AuthorLocation VARCHAR(200);

ALTER TABLE DocumentEntry ADD ByOrderOfId bigint , ADD FunderId bigint;
CREATE INDEX IDOCUMENTENTRY3 ON DocumentEntry (FunderId );
CREATE INDEX IDOCUMENTENTRY4 ON DocumentEntry (ByOrderOfId )
;
CREATE SEQUENCE ByOrderOfId MINVALUE 1 INCREMENT 1;

CREATE TABLE ByOrderOf (
	ByOrderOfId bigint NOT NULL  DEFAULT nextval('ByOrderOfId'), 
	ByOrderOfOID VARCHAR(120) NOT NULL , 
	ByOrderOfName VARCHAR(200) NOT NULL , 
	PRIMARY KEY(ByOrderOfId)
	);

CREATE SEQUENCE AxisId MINVALUE 1 INCREMENT 1;
CREATE TABLE Axis (
	AxisId bigint NOT NULL  DEFAULT nextval('AxisId'), 
	AxisUUID VARCHAR(46) NOT NULL , 
	AxisName VARCHAR(200) NOT NULL , 
	AxisCode VARCHAR(200) NOT NULL , 
	AxisCodingScheme VARCHAR(120) NOT NULL , 
	AxisDisplayName VARCHAR(200) NOT NULL , 
	PRIMARY KEY(AxisId)
	);

CREATE TABLE DocumentEntryAxis (
	docEntryEntryUUID VARCHAR(120) NOT NULL , 
	AxisId bigint NOT NULL , 
	PRIMARY KEY(docEntryEntryUUID, AxisId)
	);
	
CREATE INDEX IDOCUMENTENTRYAXIS1 ON DocumentEntryAxis (AxisId );

CREATE SEQUENCE FunderId MINVALUE 1 INCREMENT 1;
CREATE TABLE Funder (
	FunderId bigint NOT NULL  DEFAULT nextval('FunderId'), 
	FunderOID VARCHAR(120) NOT NULL , 
	FunderName VARCHAR(200) NOT NULL , 
	PRIMARY KEY(FunderId)
	);

ALTER TABLE DocumentEntryAxis ADD CONSTRAINT IDOCUMENTENTRYAXIS2 FOREIGN KEY (docEntryEntryUUID) REFERENCES DocumentEntry (docEntryEntryUUID);
ALTER TABLE DocumentEntryAxis ADD CONSTRAINT IDOCUMENTENTRYAXIS1 FOREIGN KEY (AxisId) REFERENCES Axis (AxisId);

