--
-- TOC entry 181 (class 1259 OID 16588)
-- Name: authorid; Type: SEQUENCE; Schema: public; Owner: regxds
--

CREATE SEQUENCE IF NOT EXISTS authorid
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- TOC entry 182 (class 1259 OID 16590)
-- Name: author; Type: TABLE; Schema: public; Owner: regxds
--

CREATE TABLE IF NOT EXISTS  author (
    authorid bigint DEFAULT nextval('authorid'::regclass) NOT NULL,
    authorpersonid character varying(100) NOT NULL,
    authorpersonlastname character varying(194),
    authorpersonfirstname character varying(30),
    authorpersonsecfuthergivenname character varying(30),
    authorpersonsuffix character varying(70),
    authorpersonprefix character varying(70),
    authorlocation character varying(200)
);




--
-- TOC entry 202 (class 1259 OID 19764)
-- Name: axisid; Type: SEQUENCE; Schema: public; Owner: regxds
--

CREATE SEQUENCE IF NOT EXISTS axisid
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;




--
-- TOC entry 203 (class 1259 OID 19766)
-- Name: axis; Type: TABLE; Schema: public; Owner: regxds
--

CREATE TABLE IF NOT EXISTS  axis (
    axisid bigint DEFAULT nextval('axisid'::regclass) NOT NULL,
    axisuuid character varying(46) NOT NULL,
    axisname character varying(200) NOT NULL,
    axiscode character varying(200) NOT NULL,
    axiscodingscheme character varying(120) NOT NULL,
    axisdisplayname character varying(200) NOT NULL
);




--
-- TOC entry 200 (class 1259 OID 19756)
-- Name: byorderofid; Type: SEQUENCE; Schema: public; Owner: regxds
--

CREATE SEQUENCE IF NOT EXISTS byorderofid
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;




--
-- TOC entry 201 (class 1259 OID 19758)
-- Name: byorderof; Type: TABLE; Schema: public; Owner: regxds
--

CREATE TABLE IF NOT EXISTS  byorderof (
    byorderofid bigint DEFAULT nextval('byorderofid'::regclass) NOT NULL,
    byorderofoid character varying(120) NOT NULL,
    byorderofname character varying(200) DEFAULT NULL::character varying NOT NULL
);




--
-- TOC entry 183 (class 1259 OID 16594)
-- Name: documententry; Type: TABLE; Schema: public; Owner: regxds
--

CREATE TABLE IF NOT EXISTS  documententry (
    docentryentryuuid character varying(120) NOT NULL,
    docentryavailabilitystatus character varying(100),
    docentryclasscodevalue character varying(200),
    docentryclasscodedisplayname character varying(200),
    docentryclasscodecodingscheme character varying(120),
    docentrycomments character varying(200),
    docentryconfidentialitycodeval character varying(200),
    docentryconfidentialitycodedis character varying(200),
    docentryconfidentialitycodecod character varying(120),
    docentrycreationtime timestamp without time zone,
    docentryformatcodevalue character varying(200),
    docentryformatcodedisplayname character varying(200),
    docentryformatcodecodingscheme character varying(120),
    docentryhash character(40),
    docentryhealthfacilityvalue character varying(200),
    docentryhealthfacilitydisplay character varying(200),
    docentryhealthfacilitycodingsc character varying(120),
    docentryhomecommunityid character varying(100),
    docentrylanguagecode character varying(20),
    docentrylaid character varying(15),
    docentrylalastname character varying(194),
    docentrylafirstname character varying(30),
    docentrylasecfuthergivenname character varying(30),
    docentrylasuffix character varying(20),
    docentrylaprefix character varying(20),
    docentrymimetype character varying(200),
    docentrypatientid character varying(200),
    docentrypracticesettingcodeval character varying(200),
    docentrypracticesettingcodedis character varying(200),
    docentrypracticesettingcodecod character varying(120),
    docentryrepositoryuniqueid character varying(120),
    docentryservicestarttime timestamp without time zone,
    docentryservicestoptime timestamp without time zone,
    docentrysize character varying(10),
    docentrysourcepatientid character varying(100),
    docentrysourcepatientinfopid3 character varying(100),
    docentrysourcepatientinfopid5 character varying(100),
    docentrysourcepatientinfopid7 character varying(100),
    docentrysourcepatientinfopid8 character varying(100),
    docentrysourcepatientinfopid11 character varying(100),
    docentrytitle character varying(200),
    docentrytypecodevalue character varying(200),
    docentrytypecodedisplayname character varying(200),
    docentrytypecodecodingscheme character varying(120),
    docentryuniqueid character varying(120),
    docentryuri character varying(100),
    docentryenmienda character(1),
    docentryorganizationid integer NOT NULL,
    docentryinternalcreationtime timestamp without time zone,
    byorderofid bigint,
    funderid bigint
);




--
-- TOC entry 184 (class 1259 OID 16600)
-- Name: documententryauthor; Type: TABLE; Schema: public; Owner: regxds
--

CREATE TABLE IF NOT EXISTS  documententryauthor (
    docentryentryuuid character varying(120) NOT NULL,
    authorid bigint NOT NULL
);




--
-- TOC entry 185 (class 1259 OID 16603)
-- Name: documententryauthorinstitution; Type: TABLE; Schema: public; Owner: regxds
--

CREATE TABLE IF NOT EXISTS  documententryauthorinstitution (
    docentryentryuuid character varying(120) NOT NULL,
    authorid bigint NOT NULL,
    docauthorinstitutionname character varying(200) NOT NULL,
    docauthorinstitutionid character varying(200)
);




--
-- TOC entry 186 (class 1259 OID 16606)
-- Name: documententryauthorrole; Type: TABLE; Schema: public; Owner: regxds
--

CREATE TABLE IF NOT EXISTS  documententryauthorrole (
    docentryentryuuid character varying(120) NOT NULL,
    authorid bigint NOT NULL,
    docauthorrole character varying(200) NOT NULL
);




--
-- TOC entry 204 (class 1259 OID 19775)
-- Name: documententryaxis; Type: TABLE; Schema: public; Owner: regxds
--

CREATE TABLE IF NOT EXISTS  documententryaxis (
    docentryentryuuid character varying(120) NOT NULL,
    axisid bigint NOT NULL
);




--
-- TOC entry 187 (class 1259 OID 16609)
-- Name: documententryeventcode; Type: TABLE; Schema: public; Owner: regxds
--

CREATE TABLE IF NOT EXISTS  documententryeventcode (
    documententryeventcodeid bigint NOT NULL,
    docentryentryuuid character varying(120) NOT NULL,
    docentryeventcodevalue character varying(200),
    docentryeventcodedisplayname character varying(200),
    docentryeventcodecodingscheme character varying(120)
);




--
-- TOC entry 188 (class 1259 OID 16615)
-- Name: documententrymotivos; Type: TABLE; Schema: public; Owner: regxds
--

CREATE TABLE IF NOT EXISTS  documententrymotivos (
    docentryentryuuid character varying(120) NOT NULL,
    motivoid character(20) NOT NULL
);




--
-- TOC entry 189 (class 1259 OID 16618)
-- Name: folder; Type: TABLE; Schema: public; Owner: regxds
--

CREATE TABLE IF NOT EXISTS  folder (
    folderentryuuid character varying(120) NOT NULL,
    folderavailabilitystatus character varying(100),
    foldercomments character varying(200),
    folderhomecommunityid character varying(100),
    folderlastupdatetime timestamp without time zone,
    folderlimitedmetadata character varying(100),
    foldertitle character varying(200),
    folderuniqueid character varying(120),
    folderpatientid character varying(200)
);




--
-- TOC entry 190 (class 1259 OID 16624)
-- Name: foldereventcode; Type: TABLE; Schema: public; Owner: regxds
--

CREATE TABLE IF NOT EXISTS  foldereventcode (
    foldereventcodeeventcodeid smallint NOT NULL,
    folderentryuuid character varying(120) NOT NULL,
    foldereventcodevalue character varying(200),
    foldereventcodedisplayname character varying(200),
    foldereventcodecodingscheme character varying(120)
);




--
-- TOC entry 205 (class 1259 OID 19781)
-- Name: funderid; Type: SEQUENCE; Schema: public; Owner: regxds
--

CREATE SEQUENCE IF NOT EXISTS funderid
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;




--
-- TOC entry 206 (class 1259 OID 19783)
-- Name: funder; Type: TABLE; Schema: public; Owner: regxds
--

CREATE TABLE IF NOT EXISTS  funder (
    funderid bigint DEFAULT nextval('funderid'::regclass) NOT NULL,
    funderoid character varying(120) NOT NULL,
    fundername character varying(200) DEFAULT NULL::character varying NOT NULL
);




--
-- TOC entry 191 (class 1259 OID 16630)
-- Name: organization; Type: TABLE; Schema: public; Owner: regxds
--

CREATE TABLE IF NOT EXISTS  organization (
    organizationid integer NOT NULL,
    organizationdesc character(40) NOT NULL,
    organizationenable smallint NOT NULL
);




--
-- TOC entry 192 (class 1259 OID 16633)
-- Name: patient; Type: TABLE; Schema: public; Owner: regxds
--

CREATE TABLE IF NOT EXISTS  patient (
    patientid character varying(200) NOT NULL
);




--
-- TOC entry 193 (class 1259 OID 16636)
-- Name: referenceidlist; Type: TABLE; Schema: public; Owner: regxds
--

CREATE TABLE IF NOT EXISTS  referenceidlist (
    docentryentryuuid character varying(120) NOT NULL,
    referenceidlistid character varying(120) NOT NULL,
    referenceidlisttype character varying(200) NOT NULL
);




--
-- TOC entry 194 (class 1259 OID 16639)
-- Name: submissionset; Type: TABLE; Schema: public; Owner: regxds
--

CREATE TABLE IF NOT EXISTS  submissionset (
    submissionsetentryuuid character varying(120) NOT NULL,
    submissionsetavailabilitystatu character varying(100),
    submissionsetcomments character varying(200),
    submissionsetcontenttypecodeva character varying(200),
    submissionsetcontenttypecodedi character varying(200),
    submissionsetcontenttypecodeco character varying(120) NOT NULL,
    submissionsethomecommunityid character varying(200),
    submissionsetsourceid character varying(120),
    submissionsetsubmissiontime timestamp without time zone,
    subsetpatientid character varying(200),
    submissionsettitle character varying(200),
    submissionsetuniqueid character varying(120)
);




--
-- TOC entry 195 (class 1259 OID 16645)
-- Name: submissionsetauthor; Type: TABLE; Schema: public; Owner: regxds
--

CREATE TABLE IF NOT EXISTS  submissionsetauthor (
    submissionsetentryuuid character varying(120) NOT NULL,
    authorid bigint NOT NULL
);




--
-- TOC entry 196 (class 1259 OID 16648)
-- Name: submissionsetauthorinstitution; Type: TABLE; Schema: public; Owner: regxds
--

CREATE TABLE IF NOT EXISTS  submissionsetauthorinstitution (
    submissionsetentryuuid character varying(120) NOT NULL,
    authorid bigint NOT NULL,
    subsetauthorinstitutionname character varying(200) NOT NULL,
    subsetauthorinstitutionid character varying(200)
);




--
-- TOC entry 197 (class 1259 OID 16651)
-- Name: submissionsetauthorrole; Type: TABLE; Schema: public; Owner: regxds
--

CREATE TABLE IF NOT EXISTS  submissionsetauthorrole (
    submissionsetentryuuid character varying(120) NOT NULL,
    authorid bigint NOT NULL,
    subsetauthorrole character varying(200) NOT NULL
);




--
-- TOC entry 198 (class 1259 OID 16654)
-- Name: submissionsetdocumentfolderid; Type: SEQUENCE; Schema: public; Owner: regxds
--

CREATE SEQUENCE IF NOT EXISTS submissionsetdocumentfolderid
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;




--
-- TOC entry 199 (class 1259 OID 16656)
-- Name: submissionsetdocumentfolder; Type: TABLE; Schema: public; Owner: regxds
--

CREATE TABLE IF NOT EXISTS  submissionsetdocumentfolder (
    submissionsetdocumentfolderid bigint DEFAULT nextval('submissionsetdocumentfolderid'::regclass) NOT NULL,
    documententryuuidoriginal character varying(120),
    docentryentryuuid character varying(120),
    folderentryuuid character varying(120),
    submissionsetentryuuid character varying(120),
    status character varying(100),
    associationtype character varying(100) NOT NULL,
    sourceobject character varying(120) NOT NULL,
    targetobject character varying(120) NOT NULL
);




--
-- TOC entry 3006 (class 2606 OID 16661)
-- Name: author_pkey; Type: CONSTRAINT; Schema: public; Owner: regxds
--

ALTER TABLE ONLY author
    ADD CONSTRAINT author_pkey PRIMARY KEY (authorid);


--
-- TOC entry 3058 (class 2606 OID 19774)
-- Name: axis_pkey; Type: CONSTRAINT; Schema: public; Owner: regxds
--

ALTER TABLE ONLY axis
    ADD CONSTRAINT axis_pkey PRIMARY KEY (axisid);


--
-- TOC entry 3056 (class 2606 OID 19763)
-- Name: byorderof_pkey; Type: CONSTRAINT; Schema: public; Owner: regxds
--

ALTER TABLE ONLY byorderof
    ADD CONSTRAINT byorderof_pkey PRIMARY KEY (byorderofid);


--
-- TOC entry 3008 (class 2606 OID 17106)
-- Name: documententry_pkey; Type: CONSTRAINT; Schema: public; Owner: regxds
--

ALTER TABLE ONLY documententry
    ADD CONSTRAINT documententry_pkey PRIMARY KEY (docentryentryuuid);


--
-- TOC entry 3016 (class 2606 OID 17186)
-- Name: documententryauthor_pkey; Type: CONSTRAINT; Schema: public; Owner: regxds
--

ALTER TABLE ONLY documententryauthor
    ADD CONSTRAINT documententryauthor_pkey PRIMARY KEY (docentryentryuuid, authorid);


--
-- TOC entry 3019 (class 2606 OID 17190)
-- Name: documententryauthorinstitution_pkey; Type: CONSTRAINT; Schema: public; Owner: regxds
--

ALTER TABLE ONLY documententryauthorinstitution
    ADD CONSTRAINT documententryauthorinstitution_pkey PRIMARY KEY (docentryentryuuid, authorid, docauthorinstitutionname);


--
-- TOC entry 3021 (class 2606 OID 17188)
-- Name: documententryauthorrole_pkey; Type: CONSTRAINT; Schema: public; Owner: regxds
--

ALTER TABLE ONLY documententryauthorrole
    ADD CONSTRAINT documententryauthorrole_pkey PRIMARY KEY (docentryentryuuid, authorid, docauthorrole);


--
-- TOC entry 3060 (class 2606 OID 19779)
-- Name: documententryaxis_pkey; Type: CONSTRAINT; Schema: public; Owner: regxds
--

ALTER TABLE ONLY documententryaxis
    ADD CONSTRAINT documententryaxis_pkey PRIMARY KEY (docentryentryuuid, axisid);


--
-- TOC entry 3023 (class 2606 OID 17192)
-- Name: documententryeventcode_pkey; Type: CONSTRAINT; Schema: public; Owner: regxds
--

ALTER TABLE ONLY documententryeventcode
    ADD CONSTRAINT documententryeventcode_pkey PRIMARY KEY (documententryeventcodeid, docentryentryuuid);


--
-- TOC entry 3026 (class 2606 OID 17203)
-- Name: documententrymotivos_pkey; Type: CONSTRAINT; Schema: public; Owner: regxds
--

ALTER TABLE ONLY documententrymotivos
    ADD CONSTRAINT documententrymotivos_pkey PRIMARY KEY (docentryentryuuid, motivoid);


--
-- TOC entry 3028 (class 2606 OID 17205)
-- Name: folder_pkey; Type: CONSTRAINT; Schema: public; Owner: regxds
--

ALTER TABLE ONLY folder
    ADD CONSTRAINT folder_pkey PRIMARY KEY (folderentryuuid);


--
-- TOC entry 3031 (class 2606 OID 17215)
-- Name: foldereventcode_pkey; Type: CONSTRAINT; Schema: public; Owner: regxds
--

ALTER TABLE ONLY foldereventcode
    ADD CONSTRAINT foldereventcode_pkey PRIMARY KEY (foldereventcodeeventcodeid, folderentryuuid);


--
-- TOC entry 3063 (class 2606 OID 19788)
-- Name: funder_pkey; Type: CONSTRAINT; Schema: public; Owner: regxds
--

ALTER TABLE ONLY funder
    ADD CONSTRAINT funder_pkey PRIMARY KEY (funderid);


--
-- TOC entry 3034 (class 2606 OID 16679)
-- Name: organization_pkey; Type: CONSTRAINT; Schema: public; Owner: regxds
--

ALTER TABLE ONLY organization
    ADD CONSTRAINT organization_pkey PRIMARY KEY (organizationid);


--
-- TOC entry 3036 (class 2606 OID 16681)
-- Name: patient_pkey; Type: CONSTRAINT; Schema: public; Owner: regxds
--

ALTER TABLE ONLY patient
    ADD CONSTRAINT patient_pkey PRIMARY KEY (patientid);


--
-- TOC entry 3038 (class 2606 OID 17228)
-- Name: referenceidlist_pkey; Type: CONSTRAINT; Schema: public; Owner: regxds
--

ALTER TABLE ONLY referenceidlist
    ADD CONSTRAINT referenceidlist_pkey PRIMARY KEY (docentryentryuuid, referenceidlistid);


--
-- TOC entry 3041 (class 2606 OID 17234)
-- Name: submissionset_pkey; Type: CONSTRAINT; Schema: public; Owner: regxds
--

ALTER TABLE ONLY submissionset
    ADD CONSTRAINT submissionset_pkey PRIMARY KEY (submissionsetentryuuid);


--
-- TOC entry 3044 (class 2606 OID 17244)
-- Name: submissionsetauthor_pkey; Type: CONSTRAINT; Schema: public; Owner: regxds
--

ALTER TABLE ONLY submissionsetauthor
    ADD CONSTRAINT submissionsetauthor_pkey PRIMARY KEY (submissionsetentryuuid, authorid);


--
-- TOC entry 3046 (class 2606 OID 17246)
-- Name: submissionsetauthorinstitution_pkey; Type: CONSTRAINT; Schema: public; Owner: regxds
--

ALTER TABLE ONLY submissionsetauthorinstitution
    ADD CONSTRAINT submissionsetauthorinstitution_pkey PRIMARY KEY (submissionsetentryuuid, authorid, subsetauthorinstitutionname);


--
-- TOC entry 3048 (class 2606 OID 17248)
-- Name: submissionsetauthorrole_pkey; Type: CONSTRAINT; Schema: public; Owner: regxds
--

ALTER TABLE ONLY submissionsetauthorrole
    ADD CONSTRAINT submissionsetauthorrole_pkey PRIMARY KEY (submissionsetentryuuid, authorid, subsetauthorrole);


--
-- TOC entry 3054 (class 2606 OID 16693)
-- Name: submissionsetdocumentfolder_pkey; Type: CONSTRAINT; Schema: public; Owner: regxds
--

ALTER TABLE ONLY submissionsetdocumentfolder
    ADD CONSTRAINT submissionsetdocumentfolder_pkey PRIMARY KEY (submissionsetdocumentfolderid);


--
-- TOC entry 3009 (class 1259 OID 16694)
-- Name: find; Type: INDEX; Schema: public; Owner: regxds
--

CREATE INDEX find ON documententry USING btree (docentryavailabilitystatus, docentrypatientid, docentryservicestarttime DESC);


--
-- TOC entry 3010 (class 1259 OID 16695)
-- Name: idocumententry1; Type: INDEX; Schema: public; Owner: regxds
--

CREATE INDEX idocumententry1 ON documententry USING btree (docentrypatientid);


--
-- TOC entry 3011 (class 1259 OID 16696)
-- Name: idocumententry2; Type: INDEX; Schema: public; Owner: regxds
--

CREATE INDEX idocumententry2 ON documententry USING btree (docentryorganizationid);


--
-- TOC entry 3012 (class 1259 OID 19754)
-- Name: idocumententry3; Type: INDEX; Schema: public; Owner: regxds
--

CREATE INDEX idocumententry3 ON documententry USING btree (funderid);


--
-- TOC entry 3013 (class 1259 OID 19755)
-- Name: idocumententry4; Type: INDEX; Schema: public; Owner: regxds
--

CREATE INDEX idocumententry4 ON documententry USING btree (byorderofid);


--
-- TOC entry 3017 (class 1259 OID 16697)
-- Name: idocumententryauthor1; Type: INDEX; Schema: public; Owner: regxds
--

CREATE INDEX idocumententryauthor1 ON documententryauthor USING btree (authorid);


--
-- TOC entry 3061 (class 1259 OID 19780)
-- Name: idocumententryaxis1; Type: INDEX; Schema: public; Owner: regxds
--

CREATE INDEX idocumententryaxis1 ON documententryaxis USING btree (axisid);


--
-- TOC entry 3024 (class 1259 OID 17193)
-- Name: idocumententryeventcode1; Type: INDEX; Schema: public; Owner: regxds
--

CREATE INDEX idocumententryeventcode1 ON documententryeventcode USING btree (docentryentryuuid);


--
-- TOC entry 3029 (class 1259 OID 16699)
-- Name: ifolder1; Type: INDEX; Schema: public; Owner: regxds
--

CREATE INDEX ifolder1 ON folder USING btree (folderpatientid);


--
-- TOC entry 3032 (class 1259 OID 17216)
-- Name: ifoldereventcode1; Type: INDEX; Schema: public; Owner: regxds
--

CREATE INDEX ifoldereventcode1 ON foldereventcode USING btree (folderentryuuid);


--
-- TOC entry 3039 (class 1259 OID 16701)
-- Name: isubmissionset1; Type: INDEX; Schema: public; Owner: regxds
--

CREATE INDEX isubmissionset1 ON submissionset USING btree (subsetpatientid);


--
-- TOC entry 3042 (class 1259 OID 16702)
-- Name: isubmissionsetauthor1; Type: INDEX; Schema: public; Owner: regxds
--

CREATE INDEX isubmissionsetauthor1 ON submissionsetauthor USING btree (authorid);


--
-- TOC entry 3049 (class 1259 OID 17252)
-- Name: isubmissionsetdocumentfolder1; Type: INDEX; Schema: public; Owner: regxds
--

CREATE INDEX isubmissionsetdocumentfolder1 ON submissionsetdocumentfolder USING btree (submissionsetentryuuid);


--
-- TOC entry 3050 (class 1259 OID 17251)
-- Name: isubmissionsetdocumentfolder2; Type: INDEX; Schema: public; Owner: regxds
--

CREATE INDEX isubmissionsetdocumentfolder2 ON submissionsetdocumentfolder USING btree (folderentryuuid);


--
-- TOC entry 3051 (class 1259 OID 17250)
-- Name: isubmissionsetdocumentfolder3; Type: INDEX; Schema: public; Owner: regxds
--

CREATE INDEX isubmissionsetdocumentfolder3 ON submissionsetdocumentfolder USING btree (docentryentryuuid);


--
-- TOC entry 3052 (class 1259 OID 17249)
-- Name: isubmissionsetdocumentfolder4; Type: INDEX; Schema: public; Owner: regxds
--

CREATE INDEX isubmissionsetdocumentfolder4 ON submissionsetdocumentfolder USING btree (documententryuuidoriginal);


--
-- TOC entry 3014 (class 1259 OID 17184)
-- Name: udocumententry; Type: INDEX; Schema: public; Owner: regxds
--

CREATE UNIQUE INDEX udocumententry ON documententry USING btree (docentryuniqueid);


--
-- TOC entry 3065 (class 2606 OID 19794)
-- Name: idocumententryaxis1; Type: FK CONSTRAINT; Schema: public; Owner: regxds
--

ALTER TABLE ONLY documententryaxis
    ADD CONSTRAINT idocumententryaxis1 FOREIGN KEY (axisid) REFERENCES axis(axisid);


--
-- TOC entry 3064 (class 2606 OID 19789)
-- Name: idocumententryaxis2; Type: FK CONSTRAINT; Schema: public; Owner: regxds
--

ALTER TABLE ONLY documententryaxis
    ADD CONSTRAINT idocumententryaxis2 FOREIGN KEY (docentryentryuuid) REFERENCES documententry(docentryentryuuid);


--


